Debian Bug report logs - #608413
IPv6 issues, regression from Lenny, breaks cricket

version graph

Package: libio-socket-inet6-perl; Maintainer for libio-socket-inet6-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libio-socket-inet6-perl is src:libio-socket-inet6-perl.

Reported by: Julien BLACHE <jblache@debian.org>

Date: Thu, 30 Dec 2010 18:03:02 UTC

Severity: serious

Found in version libio-socket-inet6-perl/2.54-1.1

Fixed in version libio-socket-inet6-perl/2.65-1

Done: Salvatore Bonaccorso <carnil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Masahito Omote <omote@debian.org>:
Bug#608413; Package libio-socket-inet6-perl. (Thu, 30 Dec 2010 18:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
New Bug report received and forwarded. Copy sent to Masahito Omote <omote@debian.org>. (Thu, 30 Dec 2010 18:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: IPv6 issues, regression from Lenny, breaks cricket
Date: Thu, 30 Dec 2010 17:53:01 +0000
Package: libio-socket-inet6-perl
Version: 2.54-1.1
Severity: serious

Hi,

libio-socket-inet6-perl in Squeeze is broken wrt IPv6 handling. Upgrading
broke a perfectly working Cricket setup from Lenny where a number of hosts
are polled over IPv6.

Version 2.65-1 from unstable fixes this issue; the upstream changelog shows
quite a number of fixes related to IPv6 handling.

Thanks,

JB.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/dash

Versions of packages libio-socket-inet6-perl depends on:
ii  libsocket6-perl               0.23-1     Perl extensions for IPv6
ii  perl                          5.10.1-16  Larry Wall's Practical Extraction 

libio-socket-inet6-perl recommends no packages.

libio-socket-inet6-perl suggests no packages.

-- no debconf information




Bug Marked as fixed in versions libio-socket-inet6-perl/2.65-1. Request was from Julien BLACHE <jblache@debian.org> to control@bugs.debian.org. (Thu, 30 Dec 2010 18:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Masahito Omote <omote@debian.org>:
Bug#608413; Package libio-socket-inet6-perl. (Wed, 05 Jan 2011 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Masahito Omote <omote@debian.org>. (Wed, 05 Jan 2011 09:27:03 GMT) Full text and rfc822 format available.

Message #12 received at 608413@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 608413-submitter@bugs.debian.org, 608413@bugs.debian.org
Subject: Possible patch?
Date: Wed, 5 Jan 2011 10:24:15 +0100
[Message part 1 (text/plain, inline)]
Hi Julien

First of all I'm not the maintainer and I'm not having that good IPv6
knowledge. Could you try if the patch inbetween the upstreams versions
2.55 and 2.56 solves the problem? The debdiff for a proposed NMU is
attached.

Could you try for that the package at [1]?

 [1] http://people.debian.org/~carnil/tmp/libio-socket-inet6-perl_2.54-1.2_all.deb

Bests
Salvatore
[debdiff_libio-socket-inet6-perl_2.54-1.1_2.54-1.2.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Message sent on to Julien BLACHE <jblache@debian.org>:
Bug#608413. (Wed, 05 Jan 2011 09:27:10 GMT) Full text and rfc822 format available.

Information stored :
Bug#608413; Package libio-socket-inet6-perl. (Wed, 05 Jan 2011 11:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 05 Jan 2011 11:45:10 GMT) Full text and rfc822 format available.

Message #20 received at 608413-quiet@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>
Cc: 608413-quiet@bugs.debian.org
Subject: Re: Bug#608413: Possible patch?
Date: Wed, 05 Jan 2011 12:42:37 +0100
Salvatore Bonaccorso <carnil@debian.org> wrote:

Hi,

> First of all I'm not the maintainer and I'm not having that good IPv6
> knowledge. Could you try if the patch inbetween the upstreams versions
> 2.55 and 2.56 solves the problem? The debdiff for a proposed NMU is
> attached.

I'll give it a go; have you looked into 2.62 also?

All in all, 2.65 has been in unstable for over 110 days now and I've
been told the release team is OK with 2.65 but not with the packaging
changes and would accept 2.65 with the old packaging.

This would be way better given there were only v6 fixes and testsuite
improvements/fixes between 2.54 and 2.65.

JB.

-- 
 Julien BLACHE - Debian & GNU/Linux Developer - <jblache@debian.org> 
 
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Information forwarded to debian-bugs-dist@lists.debian.org, Masahito Omote <omote@debian.org>:
Bug#608413; Package libio-socket-inet6-perl. (Wed, 05 Jan 2011 12:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Masahito Omote <omote@debian.org>. (Wed, 05 Jan 2011 12:09:03 GMT) Full text and rfc822 format available.

Message #25 received at 608413@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Julien BLACHE <jblache@debian.org>
Cc: omote@debian.org, 608413@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#608413: Possible patch for libio-socket-inet6-perl?
Date: Wed, 5 Jan 2011 13:07:54 +0100
[Message part 1 (text/plain, inline)]
Hi Julien

I'm adding the Release-Team and in particular Masahito Omote to the
loop, as Masahito is the Maintainer.

On Wed, Jan 05, 2011 at 12:42:37PM +0100, Julien BLACHE wrote:
> Salvatore Bonaccorso <carnil@debian.org> wrote:
> > First of all I'm not the maintainer and I'm not having that good IPv6
> > knowledge. Could you try if the patch inbetween the upstreams versions
> > 2.55 and 2.56 solves the problem? The debdiff for a proposed NMU is
> > attached.
> 
> I'll give it a go; have you looked into 2.62 also?

No, not in detail as I saw Steffen Ullrich mentioned it was due to a
previous fix in the previous uploaded version.

> All in all, 2.65 has been in unstable for over 110 days now and I've
> been told the release team is OK with 2.65 but not with the packaging
> changes and would accept 2.65 with the old packaging.

Oh, great. Didn't saw such conversation with RT!

> This would be way better given there were only v6 fixes and testsuite
> improvements/fixes between 2.54 and 2.65.

If this would be accepted by the release-Team this would be way better
yes! The changes between 2.54-1.1 and 2.65-1 related to the packaging
itself are only:

------------------------------------------------------------------------
diff -Nru libio-socket-inet6-perl-2.54/debian/changelog libio-socket-inet6-perl-2.65/debian/changelog
--- libio-socket-inet6-perl-2.54/debian/changelog       2011-01-05 13:00:17.000000000 +0100
+++ libio-socket-inet6-perl-2.65/debian/changelog       2011-01-05 13:00:17.000000000 +0100
@@ -1,3 +1,11 @@
+libio-socket-inet6-perl (2.65-1) unstable; urgency=low
+
+  * New upstream release (closes: Bug#575531)
+  * Close #480500 that was already fixed in 2.54. (closes: Bug#480500)
+  * Standards-Version: 3.9.1
+
+ -- Masahito Omote <omote@debian.org>  Sun, 12 Sep 2010 02:59:48 +0900
+
 libio-socket-inet6-perl (2.54-1.1) unstable; urgency=low

   * Non-maintainer upload.
diff -Nru libio-socket-inet6-perl-2.54/debian/control libio-socket-inet6-perl-2.65/debian/control
--- libio-socket-inet6-perl-2.54/debian/control 2011-01-05 13:00:17.000000000 +0100
+++ libio-socket-inet6-perl-2.65/debian/control 2011-01-05 13:00:17.000000000 +0100
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: perl (>= 5.8.0-7)
 Maintainer: Masahito Omote <omote@debian.org>
-Standards-Version: 3.7.3.0
+Standards-Version: 3.9.1

 Package: libio-socket-inet6-perl
 Architecture: all
diff -Nru libio-socket-inet6-perl-2.54/debian/copyright libio-socket-inet6-perl-2.65/debian/copyright
--- libio-socket-inet6-perl-2.54/debian/copyright       2011-01-05 13:00:17.000000000 +0100
+++ libio-socket-inet6-perl-2.65/debian/copyright       2011-01-05 13:00:17.000000000 +0100
@@ -1,10 +1,6 @@
 This is the debian package for the IO::Socket::INET6 module.
 It was created by Masahito Omote <omote@debian.org> using dh-make-perl.

-This copyright info was automatically extracted from the perl module.
-It may not be accurate, so you better check the module sources
-if don't want to get into legal troubles.
-
 This program is based on IO::Socket::INET by Graham Barr
 <gbarr@pobox.com> and currently maintained by the Perl Porters.

diff -Nru libio-socket-inet6-perl-2.54/debian/rules libio-socket-inet6-perl-2.65/debian/rules
--- libio-socket-inet6-perl-2.54/debian/rules   2011-01-05 13:00:17.000000000 +0100
+++ libio-socket-inet6-perl-2.65/debian/rules   2011-01-05 13:00:17.000000000 +0100
@@ -39,7 +39,7 @@
 install:
        dh_testdir
        dh_testroot
-       dh_clean -k
+       dh_clean
        dh_installdirs

        $(MAKE) install PREFIX=$(TMP)/usr
------------------------------------------------------------------------

Release-Team, are you finde with uploading 2.65 to unstable again, but
reverting thus only the dh_clean call? Please let me know, I can
prepare an NMU in such case, if Masahito would not like to do it right
himself?

Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Masahito Omote <omote@debian.org>:
Bug#608413; Package libio-socket-inet6-perl. (Wed, 05 Jan 2011 12:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Masahito Omote <omote@debian.org>. (Wed, 05 Jan 2011 12:27:02 GMT) Full text and rfc822 format available.

Message #30 received at 608413@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Julien BLACHE <jblache@debian.org>, omote@debian.org, 608413@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#608413: Possible patch for libio-socket-inet6-perl?
Date: Wed, 5 Jan 2011 13:25:09 +0100
[Message part 1 (text/plain, inline)]
On Wed, Jan  5, 2011 at 13:07:54 +0100, Salvatore Bonaccorso wrote:

> On Wed, Jan 05, 2011 at 12:42:37PM +0100, Julien BLACHE wrote:
> > All in all, 2.65 has been in unstable for over 110 days now and I've
> > been told the release team is OK with 2.65 but not with the packaging
> > changes and would accept 2.65 with the old packaging.
> 
> Oh, great. Didn't saw such conversation with RT!
> 
I said on IRC the debian/rules change was wrong, and for the rest I'd
like an ack/review from a perl person, which I'm not.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#608413; Package libio-socket-inet6-perl. (Wed, 05 Jan 2011 17:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 05 Jan 2011 17:27:03 GMT) Full text and rfc822 format available.

Message #35 received at 608413-quiet@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>
Cc: 608413-quiet@bugs.debian.org
Subject: Re: Bug#608413: Possible patch?
Date: Wed, 05 Jan 2011 18:25:03 +0100
Salvatore Bonaccorso <carnil@debian.org> wrote:

Hi,

> Could you try for that the package at [1]?
>
>  [1] http://people.debian.org/~carnil/tmp/libio-socket-inet6-perl_2.54-1.2_all.deb

Just tried it out and it works as far as Cricket is concerned.

JB.

-- 
 Julien BLACHE - Debian & GNU/Linux Developer - <jblache@debian.org> 
 
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Information forwarded to debian-bugs-dist@lists.debian.org, Masahito Omote <omote@debian.org>:
Bug#608413; Package libio-socket-inet6-perl. (Thu, 06 Jan 2011 06:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Masahito Omote <omote@debian.org>. (Thu, 06 Jan 2011 06:54:03 GMT) Full text and rfc822 format available.

Message #40 received at 608413@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Julien BLACHE <jblache@debian.org>, omote@debian.org, 608413@bugs.debian.org, debian-release@lists.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#608413: Possible patch for libio-socket-inet6-perl?
Date: Thu, 6 Jan 2011 07:50:42 +0100
[Message part 1 (text/plain, inline)]
Hi all

On Wed, Jan 05, 2011 at 01:25:09PM +0100, Julien Cristau wrote:
> On Wed, Jan  5, 2011 at 13:07:54 +0100, Salvatore Bonaccorso wrote:
> 
> > On Wed, Jan 05, 2011 at 12:42:37PM +0100, Julien BLACHE wrote:
> > > All in all, 2.65 has been in unstable for over 110 days now and I've
> > > been told the release team is OK with 2.65 but not with the packaging
> > > changes and would accept 2.65 with the old packaging.
> > 
> > Oh, great. Didn't saw such conversation with RT!
> > 
> I said on IRC the debian/rules change was wrong, and for the rest I'd
> like an ack/review from a perl person, which I'm not.

Yes, the 'dh_clean -k' -> 'dh_clean' change is not correct. I'm cc'ing
for the rest the debian-perl list, to have some further comments from
the other team members.

Julien, on the other side I got confirmation from Julien Blache in
#608413, that the backported change from the diff 2.54 to 2.55 would
work again with the cricket setup.

Debian Perl Group and Masahito, could you give some input for the rest
of the changes between the versions in squeeze and unstable for
libio-socket-inet6-perl?

Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Masahito Omote <omote@debian.org>:
Bug#608413; Package libio-socket-inet6-perl. (Thu, 06 Jan 2011 14:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Masahito Omote <omote@debian.org>. (Thu, 06 Jan 2011 14:03:07 GMT) Full text and rfc822 format available.

Message #45 received at 608413@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Julien Cristau <jcristau@debian.org>, Julien BLACHE <jblache@debian.org>, omote@debian.org, 608413@bugs.debian.org, debian-release@lists.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#608413: Possible patch for libio-socket-inet6-perl?
Date: Thu, 6 Jan 2011 15:00:20 +0100
[Message part 1 (text/plain, inline)]
On Thu, 06 Jan 2011 07:50:42 +0100, Salvatore Bonaccorso wrote:

> > I said on IRC the debian/rules change was wrong, and for the rest I'd
> > like an ack/review from a perl person, which I'm not.

I don't know enough about sockets and ipv6 to make real judgement,
but:
 
> Julien, on the other side I got confirmation from Julien Blache in
> #608413, that the backported change from the diff 2.54 to 2.55 would
> work again with the cricket setup.

That's fine, but this change does not contain the fix for 
https://rt.cpan.org/Ticket/Display.html?id=55901 (inet_pton /
inet_ntop import warnings) which I remember myself and which was
very annoying at least, so I'd rather opt for moving 2.65 to
testing (giving some code review from another more knowledgable
person).
 

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: REM: Near Wild Heaven
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Masahito Omote <omote@debian.org>:
Bug#608413; Package libio-socket-inet6-perl. (Sun, 16 Jan 2011 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Masahito Omote <omote@debian.org>. (Sun, 16 Jan 2011 08:45:03 GMT) Full text and rfc822 format available.

Message #50 received at 608413@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Julien Cristau <jcristau@debian.org>, Julien BLACHE <jblache@debian.org>, omote@debian.org, 608413@bugs.debian.org, debian-release@lists.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#608413: Possible patch for libio-socket-inet6-perl?
Date: Sun, 16 Jan 2011 09:43:51 +0100
[Message part 1 (text/plain, inline)]
Hi

On Thu, Jan 06, 2011 at 03:00:20PM +0100, gregor herrmann wrote:
> On Thu, 06 Jan 2011 07:50:42 +0100, Salvatore Bonaccorso wrote:
> 
> > > I said on IRC the debian/rules change was wrong, and for the rest I'd
> > > like an ack/review from a perl person, which I'm not.
> 
> I don't know enough about sockets and ipv6 to make real judgement,
> but:
>  
> > Julien, on the other side I got confirmation from Julien Blache in
> > #608413, that the backported change from the diff 2.54 to 2.55 would
> > work again with the cricket setup.
> 
> That's fine, but this change does not contain the fix for 
> https://rt.cpan.org/Ticket/Display.html?id=55901 (inet_pton /
> inet_ntop import warnings) which I remember myself and which was
> very annoying at least, so I'd rather opt for moving 2.65 to
> testing (giving some code review from another more knowledgable
> person).

I have prepared the NMU for 2.65 with the change dh_clean -> dh_prep
instead of using dh_clean -k. But we still need a review regarding
ipv6 changes from a knowledgable person ;-)

Bests
Salvatore
[libio-socket-inet6-perl-2.65-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Masahito Omote <omote@debian.org>:
Bug#608413; Package libio-socket-inet6-perl. (Sun, 16 Jan 2011 15:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Masahito Omote <omote@debian.org>. (Sun, 16 Jan 2011 15:06:03 GMT) Full text and rfc822 format available.

Message #55 received at 608413@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Julien BLACHE <jblache@debian.org>, omote@debian.org, 608413@bugs.debian.org, debian-release@lists.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#608413: Possible patch for libio-socket-inet6-perl?
Date: Sun, 16 Jan 2011 16:02:24 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jan 16, 2011 at 09:43:51 +0100, Salvatore Bonaccorso wrote:

> Hi
> 
> On Thu, Jan 06, 2011 at 03:00:20PM +0100, gregor herrmann wrote:
> > On Thu, 06 Jan 2011 07:50:42 +0100, Salvatore Bonaccorso wrote:
> > 
> > > > I said on IRC the debian/rules change was wrong, and for the rest I'd
> > > > like an ack/review from a perl person, which I'm not.
> > 
> > I don't know enough about sockets and ipv6 to make real judgement,
> > but:
> >  
> > > Julien, on the other side I got confirmation from Julien Blache in
> > > #608413, that the backported change from the diff 2.54 to 2.55 would
> > > work again with the cricket setup.
> > 
> > That's fine, but this change does not contain the fix for 
> > https://rt.cpan.org/Ticket/Display.html?id=55901 (inet_pton /
> > inet_ntop import warnings) which I remember myself and which was
> > very annoying at least, so I'd rather opt for moving 2.65 to
> > testing (giving some code review from another more knowledgable
> > person).
> 
> I have prepared the NMU for 2.65 with the change dh_clean -> dh_prep
> instead of using dh_clean -k. But we still need a review regarding
> ipv6 changes from a knowledgable person ;-)
> 
Please go back to dh_clean -k, and upload ASAP with urgency=high.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Masahito Omote <omote@debian.org>:
Bug#608413; Package libio-socket-inet6-perl. (Sun, 16 Jan 2011 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Masahito Omote <omote@debian.org>. (Sun, 16 Jan 2011 21:00:03 GMT) Full text and rfc822 format available.

Message #60 received at 608413@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Julien BLACHE <jblache@debian.org>, omote@debian.org, 608413@bugs.debian.org, debian-release@lists.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#608413: Possible patch for libio-socket-inet6-perl?
Date: Sun, 16 Jan 2011 21:57:12 +0100
[Message part 1 (text/plain, inline)]
Hi Julien

On Sun, Jan 16, 2011 at 04:02:24PM +0100, Julien Cristau wrote:
> On Sun, Jan 16, 2011 at 09:43:51 +0100, Salvatore Bonaccorso wrote:
> 
> > Hi
> > 
> > On Thu, Jan 06, 2011 at 03:00:20PM +0100, gregor herrmann wrote:
> > > On Thu, 06 Jan 2011 07:50:42 +0100, Salvatore Bonaccorso wrote:
> > > 
> > > > > I said on IRC the debian/rules change was wrong, and for the rest I'd
> > > > > like an ack/review from a perl person, which I'm not.
> > > 
> > > I don't know enough about sockets and ipv6 to make real judgement,
> > > but:
> > >  
> > > > Julien, on the other side I got confirmation from Julien Blache in
> > > > #608413, that the backported change from the diff 2.54 to 2.55 would
> > > > work again with the cricket setup.
> > > 
> > > That's fine, but this change does not contain the fix for 
> > > https://rt.cpan.org/Ticket/Display.html?id=55901 (inet_pton /
> > > inet_ntop import warnings) which I remember myself and which was
> > > very annoying at least, so I'd rather opt for moving 2.65 to
> > > testing (giving some code review from another more knowledgable
> > > person).
> > 
> > I have prepared the NMU for 2.65 with the change dh_clean -> dh_prep
> > instead of using dh_clean -k. But we still need a review regarding
> > ipv6 changes from a knowledgable person ;-)
> > 
> Please go back to dh_clean -k, and upload ASAP with urgency=high.

Ok, no other changes done apart from the dh_clean -k call in the
install target. I have uploaded it now with urgency high (directly
without delay queue).

Bests
Salvatore
[debdiff_libio-socket-inet6-perl_2.65-1_2.65-1.1.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Masahito Omote <omote@debian.org>:
Bug#608413; Package libio-socket-inet6-perl. (Sun, 16 Jan 2011 21:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Masahito Omote <omote@debian.org>. (Sun, 16 Jan 2011 21:24:06 GMT) Full text and rfc822 format available.

Message #65 received at 608413@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Julien BLACHE <jblache@debian.org>, omote@debian.org, 608413@bugs.debian.org, debian-release@lists.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#608413: Possible patch for libio-socket-inet6-perl?
Date: Sun, 16 Jan 2011 22:21:27 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jan 16, 2011 at 21:57:12 +0100, Salvatore Bonaccorso wrote:

> Ok, no other changes done apart from the dh_clean -k call in the
> install target. I have uploaded it now with urgency high (directly
> without delay queue).
> 
Unblocked, thanks.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Thu, 10 Feb 2011 14:39:08 GMT) Full text and rfc822 format available.

Notification sent to Julien BLACHE <jblache@debian.org>:
Bug acknowledged by developer. (Thu, 10 Feb 2011 14:39:08 GMT) Full text and rfc822 format available.

Message #70 received at 608413-done@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 608413-done@bugs.debian.org
Subject: closing bug
Date: Thu, 10 Feb 2011 15:34:09 +0100
[Message part 1 (text/plain, inline)]
Source: libio-socket-inet6-perl
Source-Version: 2.65-1

Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 Mar 2011 07:28:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:22:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.